From 824020da2265c770dd299e0c697b18f1b0922105 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Jan 05 2021 14:18:39 +0000
Subject: [PATCH 3/8] libre/iceweasel: Drop old search engine patching


Legacy search configuration has been dropped upstream [1].
It needs to be done by new method now.

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=1619926

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 6632d6b..5d40e11 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -303,13 +303,9 @@ END
   # FIXME: custom searchplugins ID per new format above ("ddg" is standard)
   #        browser/components/search/extensions/<ID>/
 #   local remove_engines_sed='s|.*oogle.*|          "ddg", "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-labs", "parabola-packages", "parabola-wiki-en", "searx", "wikipedia", "yacy"|g'
-  local remove_engines_sed='s|.*oogle.*|          "ddg", "wikipedia"|g'
-  echo "applying libre-searchengines.patch"
-  patch -Np1 -i ../libre-searchengines.patch
   pushd browser/components/search/extensions
-  sed -i "${remove_engines_sed}" list.json
   sed -i 's|https://duckduckgo.com/|https://html.duckduckgo.com/html/|' ddg/manifest.json
-  
+
   # Removing URL parameters that let DuckDuckGo know the place in UI
   # the search was ran from (like address bar, context menu, etc.)
   local jq_cmd='del(.chrome_settings_overrides.search_provider.params)'
@@ -317,16 +313,10 @@ END
   ! diff manifest.json.tmp ddg/manifest.json > /dev/null
   mv manifest.json.tmp ddg/manifest.json
 
-  # Sanity-check search-engines patching
-  local removed_engines_regex='Bing|Google|Seznam|Twitter|Yahoo|Yandex|Яндекс|amazon|bing|google|ebay|twitter'
-  local engines_err_msg="search-engines patch needs re-working"
-  ! grep -E ${removed_engines_regex} list.json > /dev/null || ! echo "${engines_err_msg}"
-
   find -mindepth 1 -maxdepth 1 \
     -not -name ddg \
     -not -name wikipedia \
-    -not -name list.json \
-    -exec rm -rf {} \;
+    -exec rm -frv {} \;
   popd
 
   # Removing What's New tab from Developer Tools, usages are removed by libre.patch
diff --git a/libre/iceweasel/vendor.js.in b/libre/iceweasel/vendor.js.in
index 2d5f1a3..d67ae2f 100644
--- a/libre/iceweasel/vendor.js.in
+++ b/libre/iceweasel/vendor.js.in
@@ -321,7 +321,3 @@ pref("extensions.getAddons.showPane", false);
 // Setting these preferences just in case and to not frustrate users.
 pref("app.normandy.api_url", "http://127.0.0.1/");
 pref("app.normandy.enabled", false);
-
-// Disable Mozilla's remote configuration of search engines
-// See https://bugzilla.mozilla.org/show_bug.cgi?id=1542235
-pref("browser.search.modernConfig", false);

